<div class="jumbotron">
  <h1 class="display-4">TinyLinks!</h1>
  <p class="lead">This application will shorten your url into a simple url to share with others. Feel free to try it out!</p>
  <hr class="my-4">
  <% if @invalid_token.present? %>
    <div class="alert alert-warning" role="alert">
      the link token provided <%=@invalid_token %> is invalid, please try another one.
    </div>
  <% end %>
  <% if @token.nil? %>
    <p>Enter your long url in the input box and click the button</p>
    <%= form_with model: @link, class: "form" do |form| %>
      <div class="form-row align-items-center">
        <div class="col-auto">
          <div class="input-group mb-2">
            <div class="input-group-prepend">
              <div class="input-group-text">Your URL</div>
            </div>
            <%= form.text_field :url, class: "form-control" %>
          </div>
        </div>
        <div class="col-auto">
          <%= form.submit class: "btn btn-primary mb-2" %>
        </div>
      </div>
    <% end %>
  <% else %>
    <pre> Here is the link: <%= request.base_url %>/<%= @token %> </pre>
  <% end %>
  
</div>